//
//  mmUIViewControllerExtensions.swift
//  iAppsReview
//
//  Created by Kevin McNeish on 3/8/15.
//  Copyright (c) 2015 Oak Leaf Enterprises, Inc. All rights reserved.
//

import Foundation
import UIKit

extension UIViewController {
    
    // An action method that ends editing in the the parent view 
    // of the specified sender object.
    // You can link a control's "Touch Down" event to this method.
    @IBAction func backgroundTouched(sender: AnyObject) {
        
		self.view.endEditing(true)
    }
    
    // An action method that hides the keyboard when the user taps
    // the Return key
    // You can link a UITextField's "Did End On Exit" event to this method
    @IBAction func textFieldReturn(sender: AnyObject) {
        
        sender.resignFirstResponder()
    }
}